% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/create_profile.R
\name{create_profile}
\alias{create_profile}
\title{SNV profile creation}
\usage{
create_profile(vcf_file, sample, output_file, filter_depth = 10,
  python = FALSE)
}
\arguments{
\item{vcf_file}{The VCF file from which the profile will be created (path).}

\item{sample}{The sample in the VCF for which a profile will be created
(character).}

\item{output_file}{The output file with the SNV profile (path).}

\item{filter_depth}{Remove variants below this sequencing depth (integer).}

\item{python}{Extract variants using Python instead of R (boolean).}
}
\value{
Does not return any data object, but outputs results to output_file
 (to save computational time from having to repeatedly create profiles).
}
\description{
Create an SNV profile from data in a VCF file.
}
\details{
This function creates a SNV profile from a given VCF file by
extracting the variants that pass the filtering criterias. It can either be
performed using R, or by the create_profile.py function included (which
requires that Python  is installed, along with the PyVCF package). Profile
creation is performed to facilitate and accelerate the cell authentication
procedures, which is especially relevant when more than one pairwise
comparison will be performed on the same sample.
}
\examples{
# Path to the test VCF file
vcf_file = system.file("extdata", "test.vcf.gz", package = "seqCAT")

# Create SNV profiles
\dontrun{
 create_profile(vcf_file, "sample1", "profile1.txt")
 create_profile(vcf_file, "sample1", "profile1.txt", filter_depth = 15)
 create_profile(vcf_file, "sample1", "profile1.txt", python = TRUE)
}
}
